[wp-meta] [Making WordPress.org] #7169: Add `php-compatibility` focus to Core's Trac to identify PHP incompatibility

Making WordPress.org noreply at wordpress.org
Tue Aug 1 17:51:15 UTC 2023


#7169: Add `php-compatibility` focus to Core's Trac to identify PHP
incompatibility
----------------------------+--------------------
 Reporter:  hellofromTonya  |      Owner:  (none)
     Type:  enhancement     |     Status:  new
 Priority:  normal          |  Milestone:
Component:  Trac            |   Keywords:
----------------------------+--------------------
 Please add a `php-compatibility` focus to Core's Trac tickets in the
 "Contributor Focuses" section.

 This new focus identifies an incompatibility with one or more specific PHP
 versions, such as PHP 8.2, 9.0, etc:

 >Add the `php-compatibility` focus with a description of “Relating to PHP
 forward and backwards compatibility. A `phpNN` keyword identifies the PHP
 version that introduced the incompatibility‚ÄĚ.

 `phpNN` where `NN` is the specific PHP version that introduced the
 incompatibility within WordPress Core. For example, if there's an
 incompatibility with PHP 8.2, then `phpNN` is `php82`.

 It's part of a recently adopted proposal:
 [https://make.wordpress.org/core/2023/06/20/proposal-criteria-for-
 removing-beta-support-from-each-php-8-version/#beta-support-removal-
 process Proposal: Criteria for Removing "Beta Support" from Each PHP 8+
 Version].

-- 
Ticket URL: <https://meta.trac.wordpress.org/ticket/7169>
Making WordPress.org <https://meta.trac.wordpress.org/>
Making WordPress.org


More information about the wp-meta mailing list